Subject: bug#64868: 29.1; C-x O binding suggestion for (other-window -1)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Jul 2023 16:47:52 +0300

> Date: Wed, 26 Jul 2023 13:19:48 GMT
> From: Van Ly <[email-masked]>
> Cc: [email-masked]
> 
> > What's wrong with "C-- C-x o" (or "C-u - C-x o" if you are on a
> > text-mode terminal)?
> 
> C-- shrinks the font size depending on the console.

In "emacs -Q"?  Doesn't happen for me.

> To run the universal-argument command I map the C-u to somewhere else
> as the fingers more frequently use C-u for rubbing out from the
> current position to left margin position zero. I use Super-u or
> Escape-u for universal-argument and avoid that if I can because Super
> and Escape are read differently depending on console and keyboard
> context.

So you will need to find a binding for (other-window -1) that is
specific to your customizations.  There's no need to change the
defaults for that, because key bindings are sort of user
customizations that users are encouraged to do to suit their needs and
preferences.

> > We don't have too many free key sequences, so "wasting" one on
> > something that can be easily achieved via an existing binding is not a
> > good idea, IMO.
> 
> I agree.  I guess we could use C-x O for now until something more
> preferable comes along to occupy the big O. org-mode?  That fits
> nicely next to project.

No, I mean we should not give this command a key binding at all, not
by default.  There's no need, since you can easily do it for you
without changing any default bindings.

> Perhaps there could be a minor mode to flip the switch on C-u and C-h
> behavior.  Rolling your own C-u and C-h behavior breaks functionality
> for example to find completions to C-x p using
> 
>  <f1> c C-x p <f1>
> 
> doesn't do what the default C-h does I guess
> 
>  <f1> c C-x p C-h ; or TAB, I guess wrong there too

Neither do "C-h c C-x p C-h", so the above is the expected behavior,
unrelated to the fact that you rebind C-h.